# EDAbyAlex

A Python package for streamlined Exploratory Data Analysis (EDA) with support for various file formats.

## Features

- **Flexible Data Loading**
  - Support for both CSV and Excel (.xlsx) files
  - Single file loading with automatic sheet detection
  - Multiple file loading with pattern matching
  - Smart Excel sheet handling

- **Comprehensive EDA Tools**
  - Quick data preview (first 10 rows)
  - Statistical description of numerical columns
  - Dataset information and structure
  - Column listings
  - Unique value analysis
  - Missing value detection

## Installation

```bash
pip install edabyalex
```

## Quick Start

```python
from extractor import extractor
```

## Initialize with a File Path 

## Requirements

- pandas >= 1.0.0
- numpy >= 1.18.0
- openpyxl >= 3.0.0 (for Excel support)

## Version

Current version: 0.1.0

## License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.

## Author

Alex Yang

## Contributing

Contributions, issues, and feature requests are welcome!
